:host {
  display: block;
}

#smallcontainer, #largecontainer {
  height: 100%;
  width: 100%;
  &[hide] {
    display: none;
  }
}

#largecontainer {
  @apply(--large-container-mixin);
}
#smallcontainer {
  @apply(--small-container-mixin);
}
#mastercontainer {
  @apply(--master-container-mixin);
}
#detailcontainer {
  @apply(--detail-container-mixin);
}
#largecontainer #mastercontainer {
  @apply(--large-master-container-mixin);
}
#smallcontainer #mastercontainer {
  @apply(--small-master-container-mixin);
}
#largecontainer #detailcontainer {
  @apply(--large-detail-container-mixin);
}
#smallcontainer #detailcontainer {
  @apply(--small-detail-container-mixin);
}

neon-animatable {
  height: 100%;
}
